Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.sf.jasperreports.engine.type
Enum PenEnum

    java.lang.Object
      java.lang.Enum<PenEnum>
          net.sf.jasperreports.engine.type.PenEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PenEnum>, JREnum

    public enum PenEnum

extends java.lang.Enum<PenEnum>
implements JREnum

Version:
  $Id: PenEnum.java 3454 2010-02-19 16:18:57Z shertage $
Author:
  sanda zaharia (shertage@users.sourceforge.net)

Enum Constant Summary
`DOTTED` Constant useful for specifying that an element has a dotted border.
`FOUR_POINT` Constant useful for specifying that an element border of 4 pixels.
`NONE` Constant useful for specifying that the element border will not be drawn.
`ONE_POINT` Constant useful for specifying that an element border of 1 pixel.
`THIN` Constant useful for specifying that an element has a thin border (0.5 pixels)
`TWO_POINT` Constant useful for specifying that an element border of 2 pixels.

Method Summary
`static PenEnum` | `getByName(java.lang.String name)`
`static PenEnum` | `getByValue(byte value)`
`static PenEnum` | `getByValue(java.lang.Byte value)`
`java.lang.String` | `getName()`
`byte` | `getValue()`
`java.lang.Byte` | `getValueByte()`
`static PenEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PenEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final PenEnum NONE

  Constant useful for specifying that the element border will not be drawn.

### ONE_POINT

    public static final PenEnum ONE_POINT

  Constant useful for specifying that an element border of 1 pixel.

### TWO_POINT

    public static final PenEnum TWO_POINT

  Constant useful for specifying that an element border of 2 pixels.

### FOUR_POINT

    public static final PenEnum FOUR_POINT

  Constant useful for specifying that an element border of 4 pixels.

### DOTTED

    public static final PenEnum DOTTED

  Constant useful for specifying that an element has a dotted border.

### THIN

    public static final PenEnum THIN

  Constant useful for specifying that an element has a thin border (0.5 pixels)

Method Detail

### values

    public static PenEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PenEnum c : PenEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PenEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValueByte

    public java.lang.Byte getValueByte()

  Specified by:
    `getValueByte` in interface `JREnum`

### getValue

    public final byte getValue()

  Specified by:
    `getValue` in interface `JREnum`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `JREnum`

### getByName

    public static PenEnum getByName(java.lang.String name)

### getByValue

    public static PenEnum getByValue(java.lang.Byte value)

### getByValue

    public static PenEnum getByValue(byte value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com